Bug 50633 - VIEWING: IDE Current module not selected in Object Catalog on open
Summary: VIEWING: IDE Current module not selected in Object Catalog on open
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
Master old -3.6
Hardware: Other All
: medium normal
Assignee: Uray M. János
URL:
Whiteboard: BSA target:3.7.0 target:3.6.1
Keywords: regression
Depends on:
Blocks:
 
Reported: 2012-06-03 04:23 UTC by pierre-yves samyn
Modified: 2012-08-25 15:10 UTC (History)
0 users

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot after step 2 (11.63 KB, image/png)
2012-06-03 04:23 UTC, pierre-yves samyn
Details

Note You need to log in before you can comment on or make changes to this bug.
Description pierre-yves samyn 2012-06-03 04:23:51 UTC
Created attachment 62445 [details]
Screenshot after step 2

Hello

Steps to reproduce:

1. Start LibO
2. Tools> Macros> Organize Macros> LODev Basic> LODev Macros> Tools> Strings> ElimChar> Edit (but ditto with another library & module)

IDE opens on the selected procedure

Expected result : current library & module selected in the unfold object catalog.

Actual result : object catalog not unfold, first item ("My Macros & Dialogs") selected.

See Screenshot after step 2

This is a regression...

However I like that the catalog is anchored: very good presentation

Regards
Pierre-Yves

Platform: 
version 3.6.0alpha0+ (Build ID: b5f066)              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64) AppleWebKit/536.5 (KHTML, like Gecko) Chrome/19.0.1084.52 Safari/536.5
Comment 1 pierre-yves samyn 2012-06-29 09:49:01 UTC
hello

Still occurs with windows7 64 bits & Version 3.6.0.0.beta2 (Build ID: f010139)

Regards

Pierre-Yves
Comment 2 pierre-yves samyn 2012-07-17 17:10:43 UTC
Still occurs with Window 7 64bits & Version 3.6.0.1 (Build ID: 73f9fb6)
Comment 3 Not Assigned 2012-07-25 09:17:32 UTC
Uray M. Janos committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=44e8b1c8ad917d3c4ed7efe9169e5197801198f2

fdo#50633 IDE: select current module in Object Catalog on open
Comment 4 Not Assigned 2012-08-10 19:54:35 UTC
Uray M. Janos committed a patch related to this issue.
It has been pushed to "libreoffice-3-6":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=c0dd0edf2af6a3cd9fb2d71cc2a3ba14a22b855b&g=libreoffice-3-6

fdo#50633 IDE: select current module in Object Catalog on open


It will be available in LibreOffice 3.6.1.
Comment 5 pierre-yves samyn 2012-08-25 15:10:47 UTC
Hello

WORKSFORME with Version 3.6.1.2 (Build ID: e29a214) & windows 7 64bits

Regards
Pierre-Yves